import { DefaultTheme as theme } from "../../../theme/default";
import styledGap from "./gap";
it("renders", function () {
  expect(styledGap({
    theme: theme
  })).toBe("");
});
it("renders gap", function () {
  expect(styledGap({
    theme: theme,
    gap: 2
  })).toBe("\n    &> *:not(:last-child) {\n      margin-right: " + theme.constants.SIZE_SUB_UNIT * 2 + "px;\n    }\n  ");
});
it("renders gap", function () {
  expect(styledGap({
    theme: theme,
    gap: 2,
    column: true
  })).toBe("\n    &> *:not(:last-child) {\n      margin-bottom: " + theme.constants.SIZE_SUB_UNIT * 2 + "px;\n    }\n  ");
});
it("renders gap with rowReversed", function () {
  expect(styledGap({
    theme: theme,
    gap: 2,
    rowReverse: true
  })).toBe("\n    &> *:not(:last-child) {\n      margin-left: " + theme.constants.SIZE_SUB_UNIT * 2 + "px;\n    }\n  ");
});
it("renders invalid", function () {
  expect(styledGap({
    theme: theme,
    gap: "invalid"
  })).toBe("");
});